For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Article object
          • GET/articles
          • GET/articles/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsArticles

/articles

GET
/knowledgebase/v1/articles
GET
/api/knowledgebase/v1/articles
$curl -G https://api.merge.dev/api/knowledgebase/v1/articles \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=permissions,attachments,author,last_edited_by,parent_article,parent_container,root_container \
> -d parent_article_id=parent_article_id \
> -d parent_container_id=parent_container_id \
> -d root_container_id=root_container_id
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
7 "remote_id": "800293",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "title": "Test Article",
11 "description": "This article describes how Merge is the #1 player in the Unified API space",
12 "author": "2872ba14-4084-492b-be96-e5eee6fc33ef",
13 "last_edited_by": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
14 "visibility": "INTERNAL",
15 "article_content_download_url": "https://s3.amazonaws.com/finance-department-bucket/2022/tax-certificate.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIA3SGQVQG7FGA6KKA6%2F20221104%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221104T140227Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=b228dbec8c1008c80c162e1210e4503dceead1e4d4751b4d9787314fd6da4d55",
16 "checksum": "b228dbec8c1008c80c162e1210e4503dceead1e4d4751b4d9787314fd6da4d55",
17 "article_url": "myworkspace.atlassian.net/wiki/test-article",
18 "status": "DRAFT",
19 "type": "PAGE",
20 "remote_created_at": "2021-09-15T00:00:00Z",
21 "remote_updated_at": "2021-09-16T00:00:00Z",
22 "parent_article": "string",
23 "parent_container": "8e889422-e086-42dc-b99e-24d732039b0b",
24 "root_container": "d34ab990-71f8-49ba-985d-a502f0752fe1",
25 "permissions": [
26 {
27 "id": "31ce489c-asdf-68b1-754r-629f799f7123",
28 "remote_id": "102895",
29 "created_at": "2020-03-31T00:00:00Z",
30 "modified_at": "2020-06-20T00:00:00Z",
31 "user": "21ce474c-asdf-34a2-754r-629f799f7d12",
32 "group": null,
33 "type": "USER",
34 "roles": [
35 "OWNER"
36 ],
37 "remote_data": null
38 }
39 ],
40 "attachments": [
41 "640b80b-fac9-409f-aa19-1f9221aec445"
42 ],
43 "remote_was_deleted": true,
44 "field_mappings": {
45 "organization_defined_targets": {
46 "custom_key": "custom_value"
47 },
48 "linked_account_defined_targets": {
49 "custom_key": "custom_value"
50 }
51 },
52 "remote_data": [
53 {
54 "path": "/articles",
55 "data": null
56 }
57 ]
58 }
59 ]
60}

Returns a list of Article objects.

Was this page helpful?
Previous

The Article object

Next

/articles/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
parent_article_idstringOptional

If provided, will only return sub articles of the parent_article_id.

parent_container_idstringOptional

If provided, will only return sub articles of the parent_container_id.

remote_idstringOptional
The API provider's ID for the given object.
root_container_idstringOptional

If provided, will only return sub articles of the root_container_id.

statusstringOptional

If provided, will only return articles of the given status; multiple statuses can be separated by commas.

typeenumOptional
If provided, will only return articles of the given type.
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.